# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class CaptionTrackEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<CaptionTrackEntry>
                      com.google.gdata.data.youtube.CaptionTrackEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

    public class CaptionTrackEntry

extends MediaEntry<CaptionTrackEntry>

A caption track.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CaptionTrackEntry()`
`CaptionTrackEntry(BaseEntry<?> base)`

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`protected Content.ChildHandlerInfo` `getContentHandlerInfo(ExtensionProfile extProfile, org.xml.sax.Attributes attrs)` Returns information about the content element processing.
`YtDerived` `getDerived()`
`YtFormatInfo` `getFormatInfo()`
`java.lang.String` `getLanguageCode()`
`YtFormatInfo` `getOrCreateFormatInfo()`
`YtPublicationState` `getPublicationState()`
`boolean` `hasAutomaticSpeechRecognition()`
`void` `setAutomaticSpeechRecognition(boolean asr)`
`void` `setDerived(YtDerived derived)`
`void` `setFormatInfo(YtFormatInfo info)`
`void` `setPublicationState(YtPublicationState state)`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Constructor Detail

### CaptionTrackEntry

    public CaptionTrackEntry()

### CaptionTrackEntry

    public CaptionTrackEntry(BaseEntry<?> base)

Method Detail

### getLanguageCode

    public java.lang.String getLanguageCode()

### setPublicationState

    public void setPublicationState(YtPublicationState state)

### getPublicationState

    public YtPublicationState getPublicationState()

### setDerived

    public void setDerived(YtDerived derived)

### getDerived

    public YtDerived getDerived()

### setFormatInfo

    public void setFormatInfo(YtFormatInfo info)

### getFormatInfo

    public YtFormatInfo getFormatInfo()

### getOrCreateFormatInfo

    public YtFormatInfo getOrCreateFormatInfo()

### hasAutomaticSpeechRecognition

    public boolean hasAutomaticSpeechRecognition()

### setAutomaticSpeechRecognition

    public void setAutomaticSpeechRecognition(boolean asr)

### getContentHandlerInfo

    protected Content.ChildHandlerInfo getContentHandlerInfo(ExtensionProfile extProfile,
                                                             org.xml.sax.Attributes attrs)
                                                      throws ParseException,
                                                             java.io.IOException

  Description copied from class: `BaseEntry`
  Returns information about the content element processing.

  Overrides:
    `getContentHandlerInfo` in class `MediaEntry<CaptionTrackEntry>`
  Throws:
    `ParseException`
    `java.io.IOException`

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`